package com.ai.da.service;

import com.ai.da.mapper.primary.entity.UserLike;
import com.ai.da.mapper.primary.entity.UserLikeGroup;
import com.ai.da.model.vo.UserLikeVO;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 服务类
 *
 * @author yanglei
 * @since 2022-09-11
 */
public interface UserLikeService extends IService<UserLike> {

    List<UserLikeVO> getGroupDetail(Long userGroupId);

    List<UserLikeVO> getGroupDetails(List<Long> userGroupIds);

    void deleteByUserGroupId(Long userGroupId);

    UserLike getByDesignItemId(Long designItemId);

    void updateDate(Long designItemId,String timeZone);

    List<UserLike> getUserLikeList(Long id);

    UserLikeGroup getUserLikeGroupByProjectId(Long id);

    List<UserLike> getByUserLikeGroupId(Long id);

    UserLike getByDesignOutfitId(Long designOutfitId);
}
